Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029092
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2015-02-27 13:462015-03-13 11:34
ReportercaristuView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revisione282c64e6e90
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029092: Data is not refreshed in form view after changing it with a trigger

DescriptionData is not refreshed in form view after changing it with a trigger
Steps To Reproduce1) Go to the [Sales Invoice] window and create a new record in the header
2) Navigate to the [Lines] tab an create a new line.
3) Open the [Lines Tax] tab under the [Lines] tab, in grid view
4) Back in the [Lines] tab, change the tax for the new line. Notice that the record in the [Lines Tax] is correctly refreshed
5) Open the record in [Lines Tax] in form view
6) Back in the [Lines] tab, change the tax for the new line. Notice that the refresh in the [Lines Tax] is done, but the data is not updated
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023762 acknowledgedplatform Child form is not properly refreshed when its parent record is updated 
related to defect 0029110 closedAtulOpenbravo It is not possible to change currency in header tab in G/L Journal 
related to defect 0031901 closedcaristu decimal value can't be changed by trigger/observer after manual edition in form view 

-  Notes
(0075472)
hgbot (developer)
2015-03-12 10:46

Repository: erp/devel/pi
Changeset: e282c64e6e90bc928e054f2b1631cfa4030d58d9
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Mar 12 10:39:35 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e282c64e6e90bc928e054f2b1631cfa4030d58d9 [^]

Fixes issue 29092: Inconsistent data is not shown in the form view

This issue was reproduced in the following scenario:
- A subtab is open in form view
- A change is done in its parent tab. That change (either through an event handler or through a trigger) deletes the record selected in the subtab and creates a new one
- The subtab is automatically refreshed. When the tab is refreshed:
    * The whole grid is reloaded, it now contains all the current records
    * The form view is shown again, and it tries to obtain the updated records from the grid. As the record selected in the form view is not present in the grid, the form view contains the old values

To fix this, when the record that was selected in the form view is no longer contained in the grid after the tab is refreshed, the form view is not shown. This was the grid view will be visible, and it will show the updated info.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0075473)
AugustoMauch (manager)
2015-03-12 10:49

Test plan:
- Checked that the original issue is no longer reproducible
- Checked that refreshing a parent tab having its child tab showing the form view works as usual under normal circumstances (that is, when saving the parent tab does not trigger the deletion of the record selected in the child tab)
(0075512)
hudsonbot (developer)
2015-03-13 03:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6f599d5217c4 [^]
Maturity status: Test
(0075534)
alostale (manager)
2015-03-13 11:34

code reviewed

tested following test plan described avobe

- Issue History
Date Modified Username Field Change
2015-02-27 13:46 caristu New Issue
2015-02-27 13:46 caristu Assigned To => AugustoMauch
2015-02-27 13:46 caristu Modules => Core
2015-02-27 13:46 caristu Regression date => 2015-04-01
2015-02-27 13:46 caristu Triggers an Emergency Pack => No
2015-02-27 13:46 caristu Issue Monitored: networkb
2015-02-27 13:51 caristu Resolution time => 1427839200
2015-02-27 13:51 caristu Regression date 2015-04-01 =>
2015-03-02 15:15 alostale Status new => acknowledged
2015-03-10 09:23 AugustoMauch Status acknowledged => scheduled
2015-03-11 15:40 alostale Status scheduled => acknowledged
2015-03-11 15:40 alostale Relationship added related to 0023762
2015-03-12 09:28 AugustoMauch Status acknowledged => scheduled
2015-03-12 09:38 aferraz Relationship added related to 0029110
2015-03-12 10:42 AugustoMauch Issue Monitored: alostale
2015-03-12 10:42 AugustoMauch Review Assigned To => alostale
2015-03-12 10:46 hgbot Checkin
2015-03-12 10:46 hgbot Note Added: 0075472
2015-03-12 10:46 hgbot Status scheduled => resolved
2015-03-12 10:46 hgbot Resolution open => fixed
2015-03-12 10:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e282c64e6e90bc928e054f2b1631cfa4030d58d9 [^]
2015-03-12 10:49 AugustoMauch Note Added: 0075473
2015-03-13 03:18 hudsonbot Checkin
2015-03-13 03:18 hudsonbot Note Added: 0075512
2015-03-13 11:34 alostale Note Added: 0075534
2015-03-13 11:34 alostale Status resolved => closed
2015-03-13 11:34 alostale Fixed in Version => 3.0PR15Q3
2016-01-19 11:10 alostale Relationship added related to 0031901


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker